<?php

namespace FM\Service;

use FM\Factory\ProdutoFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;

class ProdutoService {

    protected $ProdutoFactory;
    protected $Environment;
    protected $newCode;

    public function __construct (ProdutoFactory $ProdutoFactory, Environment $Environment, NewCode $newCode) {
        $this->ProdutoFactory = $ProdutoFactory;
        $this->Environment = $Environment;
        $this->newCode = $newCode;
    }
    
    public function getProdutos(){
        return $this->ProdutoFactory->getProdutos();
    }
}

?>